
From: Adrian Bunk <bunk@fs.tum.de>

The patch below against 2.6.7-mm5 fixes more compile errors with
MCA_LEGACY=n.

Cc: Jeff Garzik <jgarzik@pobox.com>
Cc: James Bottomley <James.Bottomley@steeleye.com>
Signed-off-by: Adrian Bunk <bunk@fs.tum.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/Kconfig           |    2 +-
 25-akpm/drivers/net/at1700.c          |   12 ++++++------
 25-akpm/drivers/net/eexpress.c        |    4 ++--
 25-akpm/drivers/net/tokenring/Kconfig |    4 ++--
 25-akpm/drivers/net/tokenring/smctr.c |   12 ++++++------
 25-akpm/drivers/scsi/Kconfig          |    4 ++--
 25-akpm/drivers/scsi/aha1542.c        |    2 +-
 7 files changed, 20 insertions(+), 20 deletions(-)

diff -puN drivers/net/at1700.c~more-mca_legacy-dependencies drivers/net/at1700.c
--- 25/drivers/net/at1700.c~more-mca_legacy-dependencies	2004-07-05 03:27:59.673352720 -0700
+++ 25-akpm/drivers/net/at1700.c	2004-07-05 03:27:59.687350592 -0700
@@ -89,7 +89,7 @@ static unsigned at1700_probe_list[] __in
 /*
  *	MCA
  */
-#ifdef CONFIG_MCA	
+#ifdef CONFIG_MCA_LEGACY
 static int at1700_ioaddr_pattern[] __initdata = {
 	0x00, 0x04, 0x01, 0x05, 0x02, 0x06, 0x03, 0x07
 };
@@ -174,7 +174,7 @@ static void set_rx_mode(struct net_devic
 static void net_tx_timeout (struct net_device *dev);
 
 
-#ifdef CONFIG_MCA
+#ifdef CONFIG_MCA_LEGACY
 struct at1720_mca_adapters_struct {
 	char* name;
 	int id;
@@ -202,7 +202,7 @@ static int irq;
 
 static void cleanup_card(struct net_device *dev)
 {
-#ifdef CONFIG_MCA	
+#ifdef CONFIG_MCA_LEGACY
 	struct net_local *lp = netdev_priv(dev);
 	if (lp->mca_slot >= 0)
 		mca_mark_as_unused(lp->mca_slot);
@@ -288,7 +288,7 @@ static int __init at1700_probe1(struct n
 		   read_eeprom(ioaddr, 6), inw(ioaddr + EEPROM_Ctrl));
 #endif
 
-#ifdef CONFIG_MCA
+#ifdef CONFIG_MCA_LEGACY
 	/* rEnE (rene@bss.lu): got this from 3c509 driver source , adapted for AT1720 */
 
     /* Based on Erik Nygren's (nygren@mit.edu) 3c529 patch, heavily
@@ -359,7 +359,7 @@ static int __init at1700_probe1(struct n
 		goto err_out;
 	}
 			
-#ifdef CONFIG_MCA
+#ifdef CONFIG_MCA_LEGACY
 found:
 #endif
 
@@ -483,7 +483,7 @@ found:
 	return 0;
 
 err_mca:
-#ifdef CONFIG_MCA
+#ifdef CONFIG_MCA_LEGACY
 	if (slot >= 0)
 		mca_mark_as_unused(slot);
 #endif
diff -puN drivers/net/eexpress.c~more-mca_legacy-dependencies drivers/net/eexpress.c
--- 25/drivers/net/eexpress.c~more-mca_legacy-dependencies	2004-07-05 03:27:59.674352568 -0700
+++ 25-akpm/drivers/net/eexpress.c	2004-07-05 03:27:59.688350440 -0700
@@ -230,7 +230,7 @@ static unsigned short start_code[] = {
 /* maps irq number to EtherExpress magic value */
 static char irqrmap[] = { 0,0,1,2,3,4,0,0,0,1,5,6,0,0,0,0 };
 
-#ifdef CONFIG_MCA
+#ifdef CONFIG_MCA_LEGACY
 /* mapping of the first four bits of the second POS register */
 static unsigned short mca_iomap[] = {
 	0x270, 0x260, 0x250, 0x240, 0x230, 0x220, 0x210, 0x200,
@@ -345,7 +345,7 @@ static int __init do_express_probe(struc
 
 	dev->if_port = 0xff; /* not set */
 
-#ifdef CONFIG_MCA
+#ifdef CONFIG_MCA_LEGACY
 	if (MCA_bus) {
 		int slot = 0;
 
diff -puN drivers/net/Kconfig~more-mca_legacy-dependencies drivers/net/Kconfig
--- 25/drivers/net/Kconfig~more-mca_legacy-dependencies	2004-07-05 03:27:59.677352112 -0700
+++ 25-akpm/drivers/net/Kconfig	2004-07-05 03:27:59.691349984 -0700
@@ -666,7 +666,7 @@ config 3C515
 
 config ELMC
 	tristate "3c523 \"EtherLink/MC\" support"
-	depends on NET_VENDOR_3COM && MCA
+	depends on NET_VENDOR_3COM && MCA_LEGACY
 	help
 	  If you have a network (Ethernet) card of this type, say Y and read
 	  the Ethernet-HOWTO, available from
diff -puN drivers/net/tokenring/Kconfig~more-mca_legacy-dependencies drivers/net/tokenring/Kconfig
--- 25/drivers/net/tokenring/Kconfig~more-mca_legacy-dependencies	2004-07-05 03:27:59.678351960 -0700
+++ 25-akpm/drivers/net/tokenring/Kconfig	2004-07-05 03:27:59.691349984 -0700
@@ -157,7 +157,7 @@ config ABYSS
 
 config MADGEMC
 	tristate "Madge Smart 16/4 Ringnode MicroChannel"
-	depends on TR && TMS380TR && MCA
+	depends on TR && TMS380TR && MCA_LEGACY
 	help
 	  This tms380 module supports the Madge Smart 16/4 MC16 and MC32
 	  MicroChannel adapters.
@@ -167,7 +167,7 @@ config MADGEMC
 
 config SMCTR
 	tristate "SMC ISA/MCA adapter support"
-	depends on TR && (ISA || MCA)
+	depends on TR && (ISA || MCA_LEGACY)
 	---help---
 	  This is support for the ISA and MCA SMC Token Ring cards,
 	  specifically SMC TokenCard Elite (8115T) and SMC TokenCard Elite/A
diff -puN drivers/net/tokenring/smctr.c~more-mca_legacy-dependencies drivers/net/tokenring/smctr.c
--- 25/drivers/net/tokenring/smctr.c~more-mca_legacy-dependencies	2004-07-05 03:27:59.680351656 -0700
+++ 25-akpm/drivers/net/tokenring/smctr.c	2004-07-05 03:27:59.696349224 -0700
@@ -69,7 +69,7 @@ static const char cardname[] = "smctr";
 
 #define SMCTR_IO_EXTENT   20
 
-#ifdef CONFIG_MCA
+#ifdef CONFIG_MCA_LEGACY
 static unsigned int smctr_posid = 0x6ec6;
 #endif
 
@@ -479,7 +479,7 @@ static int smctr_checksum_firmware(struc
 
 static int __init smctr_chk_mca(struct net_device *dev)
 {
-#ifdef CONFIG_MCA
+#ifdef CONFIG_MCA_LEGACY
 	struct net_local *tp = netdev_priv(dev);
 	int current_slot;
 	__u8 r1, r2, r3, r4, r5;
@@ -626,7 +626,7 @@ static int __init smctr_chk_mca(struct n
 	return (0);
 #else
 	return (-1);
-#endif /* CONFIG_MCA */
+#endif /* CONFIG_MCA_LEGACY */
 }
 
 static int smctr_chg_rx_mask(struct net_device *dev)
@@ -3617,7 +3617,7 @@ struct net_device __init *smctr_probe(in
 		goto out1;
 	return dev;
 out1:
-#ifdef CONFIG_MCA
+#ifdef CONFIG_MCA_LEGACY
 	{ struct net_local *tp = netdev_priv(dev);
 	  if (tp->slot_num)
 		mca_mark_as_unused(tp->slot_num);
@@ -5685,7 +5685,7 @@ static struct net_device *setup_card(int
 		goto out1;
 	return dev;
  out1:
-#ifdef CONFIG_MCA
+#ifdef CONFIG_MCA_LEGACY
 	{ struct net_local *tp = netdev_priv(dev);
 	  if (tp->slot_num)
 		mca_mark_as_unused(tp->slot_num);
@@ -5725,7 +5725,7 @@ void cleanup_module(void)
 		if (dev) {
 
 			unregister_netdev(dev);
-#ifdef CONFIG_MCA
+#ifdef CONFIG_MCA_LEGACY
 			{ struct net_local *tp = netdev_priv(dev);
 			if (tp->slot_num)
 				mca_mark_as_unused(tp->slot_num);
diff -puN drivers/scsi/aha1542.c~more-mca_legacy-dependencies drivers/scsi/aha1542.c
--- 25/drivers/scsi/aha1542.c~more-mca_legacy-dependencies	2004-07-05 03:27:59.682351352 -0700
+++ 25-akpm/drivers/scsi/aha1542.c	2004-07-05 03:27:59.698348920 -0700
@@ -1069,7 +1069,7 @@ static int __init aha1542_detect(Scsi_Ho
 	/*
 	 *	Find MicroChannel cards (AHA1640)
 	 */
-#ifdef CONFIG_MCA
+#ifdef CONFIG_MCA_LEGACY
 	if(MCA_bus) {
 		int slot = 0;
 		int pos = 0;
diff -puN drivers/scsi/Kconfig~more-mca_legacy-dependencies drivers/scsi/Kconfig
--- 25/drivers/scsi/Kconfig~more-mca_legacy-dependencies	2004-07-05 03:27:59.683351200 -0700
+++ 25-akpm/drivers/scsi/Kconfig	2004-07-05 03:27:59.699348768 -0700
@@ -628,7 +628,7 @@ config SCSI_FUTURE_DOMAIN
 
 config SCSI_FD_MCS
 	tristate "Future Domain MCS-600/700 SCSI support"
-	depends on MCA && SCSI
+	depends on MCA_LEGACY && SCSI
 	---help---
 	  This is support for Future Domain MCS 600/700 MCA SCSI adapters.
 	  Some PS/2 computers are equipped with IBM Fast SCSI Adapter/A which
@@ -699,7 +699,7 @@ config SCSI_GENERIC_NCR53C400
 
 config SCSI_IBMMCA
 	tristate "IBMMCA SCSI support"
-	depends on MCA && SCSI
+	depends on MCA_LEGACY && SCSI
 	---help---
 	  This is support for the IBM SCSI adapter found in many of the PS/2
 	  series computers.  These machines have an MCA bus, so you need to
_
